#parti comuni
#hibernate.connection.driver_class=com.mysql.jdbc.Driver
#hibernate.connection.driver_class=net.sourceforge.jtds.jdbc.Driver


#hibernate.dialect=org.hibernate.dialect.FirebirdDialect
#hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
#hibernate.dialect=org.hibernate.dialect.MySQLDialect
#minPoolSize=10
#maxPoolSize=100
timeout=1
hibernate.show_sql=false
hibernate.format_sql=true
hibernate.connection.release_mode=after_transaction
#hibernate.hbm2ddl.auto=update

#hibernate.columnLabelForName=true

#hibernate.connection.provider_class=org.hibernate.c3p0.internal.C3P0ConnectionProvider 
									
#hibernate.c3p0.min_size=10
#hibernate.c3p0.max_size=50
#hibernate.c3p0.timeout=100
#hibernate.c3p0.idle_test_period=50
#hibernate.c3p0.testConnectionOnCheckout=true
#hibernate.c3p0.max_statements=60
#hibernate.c3p0.validate=true
#hibernate.c3p0.preferredTestQuery=SELECT 1
 
hibernate.cache.use_query_cache=false
hibernate.cache.use_second_level_cache=false
hibernate.connection.aggressive_release=true
hibernate.cache.provider_class=org.hibernate.cache.NoCacheProvider
hibernate.current_session_context_class=thread
hibernate.connection.isolation=1
#2
#hibernate.connection.provider_class=org.hibernate.service.jdbc.connections.internal.C3P0ConnectionProvider


#pool DBCP
#hibernate.dbcp.defaultAutoCommit=false
#hibernate.dbcp.minEvictableIdleTimeMillis=30000
##Numero massimo di connessioni utilizzabili
#hibernate.dbcp.maxActive=100
#Tempo massimo di inattivita per le connessioni nel pool (espressa in ms).
hibernate.dbcp.maxWait=60000
#Numero massimo di connessioni inattive
#hibernate.dbcp.maxIdle=5

#Cosa fare in caso di esaurimento di connessioni:
#0:Fallisce, genera eccezione
#1:Attendi fin tanto che non se ne libera una
#2:Incrementa il pool
#hibernate.dbcp.whenExhaustedAction=0
#Convalida la connessione prelevata dal pool

#hibernate.dbcp.testOnBorrow=false
#Convalida la connessione prima di restituirla al pool
hibernate.dbcp.testOnReturn=true
#Query da eseguire per effettuare la validazione delle connessioni (testOnBorrow, testOnReturn)
#hibernate.dbcp.validationQuery=SELECT 1
#Maximum number of checked-out statements
#hibernate.dbcp.ps.maxActive=100
#Maximum number of idle statements    
#hibernate.dbcp.ps.maxIdle=4
#Maximum idle time for statements (in ms)
#hibernate.dbcp.ps.maxWait=1000
#Action to take in case of an exhausted statement pool. Set to 0 to fail,
# 1 to block until a statement is made available, or 2 to grow)
#hibernate.dbcp.ps.whenExhaustedAction=0

#hibernate.connection.characterEncoding=ISO8859_2
#hibernate.connection.charSet=ISO8859_2

#Deploy
#hibernate.connection.driver_class=net.sourceforge.jtds.jdbc.Driver
#hibernate.connection.url=jdbc:jtds:sqlserver://localhost:1433/SicuraSQL_Findomestic_Web
#hibernate.connection.url=jdbc:jtds:sqlserver://localhost:1433/SicuraSQL_Findomestic;instance=MSSQLSERVER14
#hibernate.connection.username=sa
#hibernate.connection.password=kranio-10

hibernate.connection.datasource=java:comp/env/jdbc/sicura

hibernate.proc.param_null_passing=true
hibernate.dialect=org.hibernate.dialect.SQLServer2012Dialect

